#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library to read DVD images
Summary(pl.UTF-8):	Biblioteka do odczytu obrazów DVD-Video
Name:		libdvdread
Version:	4.9.9
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.xz
# Source0-md5:	1aa8ad88e462791a8e77d628a63ee788
Patch0:		%{name}-alpha.patch
Patch1:		%{name}-buffix.patch
Patch2:		%{name}-version.patch
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libtool >= 1.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdread provides a simple foundation for reading DVD-Video images.

For reading CSS-encrypted DVDs you will also need libdvdcss package.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs do odczytu obrazów
DVD-Video.

Aby czytać płyty DVD szyfrowane CSS potrzebny jest także pakiet
libdvdcss.

%package devel
Summary:	%{name} library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
dvd w swoich programach.

%package static
Summary:	libdvdread static libraries
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi formatu DVD-Video
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdread libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdread.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libdvdread.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdread.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdread.so
%{_libdir}/libdvdread.la
%{_includedir}/dvdread
%{_pkgconfigdir}/dvdread.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdread.a
%endif
%changelog
* Tue Oct 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvdread.git;a=log;h=master

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ef3643
- rel 2; dvdread-config and dvdread.m4 are gone

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> f2b9924
- updated to 4.9.9

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c70045
- updated to 4.2.1

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> aba2fb5
- more specific URL

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c25a865
- added buffix patch (read buffer handling bugfix from libdvdread 0.9.7)
- added version patch (change version code from 904 to 907 - this version contains most
  of the functionality enhancements after the fork, i.e. between 0.9.4 and 0.9.7,
  except for (mainly) O_DIRECT)

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> b780941
- libdvdread-alpha.patch updated to 4.2.0
- rel. 1

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> 156249f
- ver. 4.2.0 (NFY)

* Wed Oct 15 2008 Jakub Bogusz <qboosh@pld-linux.org> daa165c
- lt version

* Wed Oct 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 806d77c
- ac/am versions

* Wed Oct 15 2008 Jakub Bogusz <qboosh@pld-linux.org> eac07b0
- more verbose files
- revised docs
- GPL version

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> 726b2cf
- obsolete

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> ba547ed
- up to 4.1.3

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> 4d073a6
- up to 4.1.3 (note: new soname)
- moved to mplayerhq version (actively maintained)
- dropped obsolete patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7634769
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3b6f68
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 11e2840
- rel 2

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 7f11602
- updated to 0.9.7, updated UDFFindFile patch

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 89a30a6
- updated for 0.9.7

* Wed May 03 2006 Karol Krenski <charles@pld-linux.org> 28dead6
- updated for 0.9.6

* Wed May 03 2006 Karol Krenski <charles@pld-linux.org> eb042c6
- updated to 0.9.6

